APIGEN(1)

NAME
apigen - API documentation generator

DESCRIPTION
ApiGen 2.8.0 ------------

Source is not set

  Usage:

    apigen --config <path> [options] apigen --source <dir|file> --destination <dir> [options]

OPTIONS

--config|-c
    <file> Config file

--source|-s
    <dir|file> Source file or directory to parse (can be used multiple times)

--destination|-d
    <dir> Directory where to save the generated documentation

--extensions
    <list> List of allowed file extensions, default "php"

--exclude
    <mask> Mask (case sensitive) to exclude file or directory from processing (can be used multiple times)

--skip-doc-path
    <mask> Don't generate documentation for elements from file or directory with this (case sensitive) mask (can be used multiple times)

--skip-doc-prefix
    <value> Don't generate documentation for elements with this (case sensitive) name prefix (can be used multiple times)

--charset
    <list> Character set of source files, default "auto"

--main
    <value> Main project name prefix

--title
    <value> Title of generated documentation

--base-url
    <value> Documentation base URL

--google-cse-id
    <value> Google Custom Search ID

--google-cse-label <value>
    Google Custom Search label

--google-analytics <value>
    Google Analytics tracking code

--template-config
    <file> Template config file, default "/usr/share/php/data/ApiGen/templates/default/config.neon"

--allowed-html
    <list> List of allowed HTML tags in documentation, default "b,i,a,ul,ol,li,p,br,var,samp,kbd,tt"

--groups
    <value> How should elements be grouped in the menu. Default value is "auto" (namespaces if available, packages otherwise)

--autocomplete
    <list> Element types for search input autocomplete. Default value is "classes,constants,functions"

--access-levels
    <list> Generate documentation for methods and properties with given access level, default "public,protected"

--internal
    <yes|no> Generate documentation for elements marked as internal and display internal documentation parts, default "no"

--php
    <yes|no> Generate documentation for PHP internal classes, default "yes"

--tree
    <yes|no> Generate tree view of classes, interfaces, traits and exceptions, default "yes"

--deprecated
    <yes|no> Generate documentation for deprecated elements, default "no"

--todo
    <yes|no> Generate documentation of tasks, default "no"

--source-code
    <yes|no> Generate highlighted source code files, default "yes"

--download
    <yes|no> Add a link to download documentation as a ZIP archive, default "no"

--report
    <file> Save a checkstyle report of poorly documented elements into a file

--wipeout
    <yes|no> Wipe out the destination directory first, default "yes"

--quiet
    <yes|no> Don't display scaning and generating messages, default "no"

--progressbar
    <yes|no> Display progressbars, default "yes"

--colors
    <yes|no> Use colors, default "no" on Windows, "yes" on other systems

--update-check
    <yes|no> Check for update, default "yes"

--debug
    <yes|no> Display additional information in case of an error, default "no"

--help|-h
    Display this help

Only source and destination directories are required - either set explicitly or using a config file. Configuration parameters passed via command line have precedence over parameters from a config file.

Boolean options (those with possible values yes|no) do not have to have their values defined explicitly. Using --debug and --debug=yes is exactly the same.

Some options can have multiple values. You can do so either by using them multiple times or by separating values by a comma. That means that writing --source=file1.php --source=file2.php or --source=file1.php,file2.php is exactly the same.

Files or directories specified by --exclude will not be processed at all. Elements from files within --skip-doc-path or with --skip-doc-prefix will be parsed but will not have their documentation generated. However if classes have any child classes, the full class tree will be generated and their inherited methods, properties and constants will be displayed (but will not be clickable).